#include "GPRectangle.h"

#include <sstream>

namespace genetic_pack {

	GPRectangle::GPRectangle(double width, double height)
	{
		if (width < 0 || height < 0)
		{
			std::ostringstream s;
			s << "GPRectangle error: Incorrect size of rectangle: " << width << "x" << height;
			throw s.str();
		}
		this->width = width;
		this->height = height;
	}

} // namespace genetic_pack