#pragma once

namespace genetic_pack {

	// class representing rectangle
	class GPRectangle
	{
	protected:
		double width, height;
	public:
		GPRectangle(double width, double height); // constructing rectangle from width and height

		double GetWidth() const { return width; };
		double GetHeight() const { return height; };

		double GetArea() const { return width*height; }; // calculates rectangle's square
	};

} // namespace genetic_pack
