#pragma once

#include "gprandom.h"

#include <vector>

using namespace std;

namespace genetic_pack {

	// class for generating discrete random variables
	// used for selection with weights
	class GPDiscreteRandom :
		public GPRandom
	{
		vector<double> cumulProbs;
	public:
		GPDiscreteRandom(const vector<double>& weights, int seed = c);

		int GetDiscrete();
	};

} // namespace genetic_pack
