#pragma once

#include "GPContainer.h"
#include "GPChromosome.h"
#include "GPPhenotype.h"

namespace genetic_pack {

	class GPLayoutMethod
	{
	public:
		GPLayoutMethod(void);
		virtual ~GPLayoutMethod(void);
		
		virtual GPPhenotype decodeChromosome(const GPContainer& container, 
			const GPChromosome& chromo) = 0;
	};

} // namespace genetic_pack