#pragma once

namespace genetic_pack {

	// random number generator
	class GPRandom
	{
	protected:
		const static unsigned int a = 1664525;
		const static unsigned int c = 1013904223;
		double m;

		unsigned int seed;
	public:
		GPRandom(unsigned int seed = c);

		double get(); // returns random double value in [0,1)
		int get(int from, int to); // returns random integer value in range from..(to-1)
	};

	// the same functions but as global functions
	double getRandom();
	int getRandom(int from, int to);

} // namespace genetic_pack
